dofile('data/Scenes/4_ferruginous_ship_Anim_ship.lua')

local PATH_COMICS_4_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_4_FIND_FOOTPRINT        = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_4_ON_WIN                = 'data/Scenes/Comics/HelpersComicsReplic.lua'

local PATH_MINIGAME_4_DIFF                = 'data/Scenes/MiniGames/4_ferruginous_ship_Diff.lua'

local PATH_COMICS_4_KEY        			  = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_4_BRUSH        		  = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_4_SCOOTER      		  = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()

	---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('COIN', '', 'coin'))
	level:AddTaskSafe(CreateTask('FOOTPRINTS', '', 'footprints'))
    AddRandomTasks(12,
                   CreateTask('ANTENNA', '', 'antenna'),
                   CreateTask('BLIMP', '', 'dirigible'),
                   CreateTask('FISH', 'FISH', 'fish', 'fish_2'),
                   CreateTask('KNIFE', '', 'knife'),
                   CreateTask('LETTER_A', '', 'letter_A'),
                   CreateTask('OXYGEN_CYLINDER', '', 'oxygen_cylinder'),
                   CreateTask('PADLOCK', 'PADLOCKS', 'padlock', 'padlock_2', 'padlock_3', 'padlock_4', 'padlock_5', 'padlock_6'),
                   CreateTask('BINOCULARS', '', 'pair_of_glasses'),
                   CreateTask('SAVING_CIRCLE', '', 'saving_circle'),
                   CreateTask('SCOOP', '', 'spoon'),
                   CreateTask('SPRING', '', 'spring'),
                   CreateTask('UNDERWATER_MASK', '', 'underwater_mask'),
                   CreateTask('WHISTLE', '', 'whistle'),
                   CreateTask('CRYSTAL', 'CRYSTALS', 'cristal', 'cristal_2', 'cristal_3', 'cristal_4'),
                   CreateTask('WATERING_CAN', '', 'watering_can'),
                   CreateTask('SLINGSHOT', '', 'slingshot'),
                   CreateTask('GUN', 'GUNS', 'gun', 'gun_3', 'gun_4'),
                   CreateTask('ARROW', 'ARROWS', 'arrow', 'arrow_2', 'arrow_3'),
                   CreateTask('CAPTAINS_HAT', '', 'cap'),
                   
                   CreateTask('SAFETY_PIN', '', 'safety_pin'),
                   CreateTask('STAR', '', 'star')
                  )
    pf:IgnoreOnTestPoint('padlock_2_layer')
    ---------------------------------------------------------------------------------------------
    local zone_suitcase = CreateZoomZone('close_zone_suitcase',
                                   'pixel_suitcase',
                                   'suitcase_open_bg',
                                   'suitcase_closed_bg',
                                   'coin',
                                   'zone_suitcase_sand',
                                   'pixel_action_key',
                                   'safety_pin',
                                   'star'
                                  )
    pf:GetObject('pixel_action_key'):SetMaxOpacity(0.1)
    zone_suitcase.RemoveObject( 'coin' )
    zone_suitcase.RemoveObject( 'zone_suitcase_sand' )
	
	RegisterInactiveGroup('InBag', 'safety_pin', 'star')
	RegisterInactiveGroup('UnderSand', 'coin')
    ---------------------------------------------------------------------------------------------
    pf:GetObject('suitcase_open'):GetAnimation():SetColor('0xFFFFFFFF')
    pf:GetObject('suitcase_open'):SetOpacity(0)
    local photo_action_key = function()
                             end
    local apply_action_key = function(save)
                                if save then
                                    pf:GetObject('suitcase_close'):SetOpacity(0)
                                    pf:GetObject('suitcase_open'):SetOpacity(1)
                                else
                                    pf:GetObject('suitcase_close'):ChangeOpacity(1, 0, 0.3)
                                    pf:GetObject('suitcase_open'):ChangeOpacity(0, 1, 0.3)
                                    
                                    PlaySound('04_open_suitcase')
                                end
                                zone_suitcase.RemoveObject( 'suitcase_closed_bg', true )
                                zone_suitcase.AddObject( 'coin' )
                                zone_suitcase.AddObject( 'zone_suitcase_sand' )
								UnregisterInactiveGroup('InBag')
                             end
    local photo_key = CreatePhotoZone('key', 'KEY', 'key_photo', photo_action_key, 'pixel_action_key', apply_action_key)
    ---------------------------------------------------------------------------------------------
    local photo_action_brush = function()
                               end
    local apply_action_brush = function(save)
                                if save then
                                else
                                    PlaySound('04_clear_sand')
                                end
                                zone_suitcase.RemoveObject( 'zone_suitcase_sand' )
								UnregisterInactiveGroup('UnderSand')
                               end
    local photo_brush = CreatePhotoZoneEx('brush', 'brush_tool',
                                          'BRUSH', 'brush_photo', photo_action_brush, 'zone_suitcase_sand', apply_action_brush)
    ---------------------------------------------------------------------------------------------
    pf:IgnoreOnTestPoint('underwater_mask_layer')
    ---------------------------------------------------------------------------------------------
    local periodically_time_gull_start = 2
    local periodically_time_gull_end = 20
    
    local anim_ship = createCompositionlok3()
    anim_ship:AttachTo(screen)
    anim_ship:SetZ(85)
    anim_ship:SetCyclic(true)
    
    local sea_gull_1 = createComposition_chayka_1()
    sea_gull_1:AttachTo(screen)
    sea_gull_1:SetZ(86.1)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_1, periodically_time_gull_start, periodically_time_gull_end)
    
    local sea_gull_2 = createComposition_chayka_2()
    sea_gull_2:AttachTo(screen)
    sea_gull_2:SetZ(86.2)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_2, periodically_time_gull_start, periodically_time_gull_end)
    
    local rat_eating = createComposition_rat_eating()
    rat_eating:AttachTo(screen)
    rat_eating:SetZ(130)
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_4_ON_SHOWN, 'COMICS_4_ON_SHOWN')
                                                 end )
    game_state.chain_footprint = RegisterComicsEx(function()
                                            LoadComicsWithOneReplicHeroes(PATH_COMICS_4_FIND_FOOTPRINT, 'COMICS_4_FIND_FOOTPRINT_1')
                                        end )
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_4_ON_WIN, 'COMICS_4_ON_WIN')
                                               end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end

    game_state.chain_scooter = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_4_SCOOTER, 'COMICS_4_SCOOTER')
                                               end )
    game_state.chain_scooter.SetRepeat(true)
    ---------------------------------------------------------------------------------------------
    local clickOnScooter = function(save)
        if not save then
            game_state.chain_scooter.Play()
        end
    end
    RegisterActiveObject('scooter', clickOnScooter, true, GetCursorArms())
    ---------------------------------------------------------------------------------------------                                        
    local internoise_sea = MakeSoundEntity("internoise_sea")
    internoise_sea:Play(true)
    ---------------------------------------------------------------------------------------------
    TryToDisableZoomZonesIfPossible()
	game_state.chain_key = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_4_KEY, 'COMICS_4_KEY')
                                            end )
	game_state.chain_brush = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_4_BRUSH, 'COMICS_4_BRUSH')
                                              end )
	---------------------------------------------------------------------------------------------
	SetHintComicsPhotoZoneEx(photo_key, game_state.chain_key)
	SetHintComicsPhotoZoneEx(photo_brush, game_state.chain_brush)
	---------------------------------------------------------------------------------------------
	RegisterMiniGame(PATH_MINIGAME_4_DIFF, function()
                                                LoadMiniGames(PATH_MINIGAME_4_DIFF)
                                            end )
    if IsMiniGamePlay(PATH_MINIGAME_4_DIFF) == false and level:IsTaskObject('footprints') == false then
        PlayRegisterMiniGame(PATH_MINIGAME_4_DIFF)
    end	
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown.Play()
    end        
end

function OnHiddenComics(comics)
    if comics == 'COMICS_4_FIND_FOOTPRINT_1' then
        PlayRegisterMiniGame(PATH_MINIGAME_4_DIFF)
    end
end

function OnMinigameCompleted(mini_game)
    AddGameState(mini_game, '')
    NotesFound('Notes_4')
    OnWin()
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() and
       GameStateExists(PATH_MINIGAME_4_DIFF)
    then
        game_state.chain_on_win.Play()
    end
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'footprints' then
        game_state.chain_footprint.Play()
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/antenna.png',0,0,60,75,1,0)
	anim:SetHotSpot(30,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('antenna',anim,459,226,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/bag.png',0,0,88,80,1,0)
	anim:SetHotSpot(44,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,293,713,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/dirigible.png',0,0,88,46,1,0)
	anim:SetHotSpot(44,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dirigible',anim,894,40,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/fish.png',0,0,146,61,1,0)
	anim:SetHotSpot(73,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish',anim,676,694,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/knife.png',0,0,62,95,1,0)
	anim:SetHotSpot(31,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife',anim,828,642,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/letter_A.png',0,0,40,43,1,0)
	anim:SetHotSpot(20,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('letter_A',anim,696,373,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/spoon.png',0,0,76,41,1,0)
	anim:SetHotSpot(38,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spoon',anim,442,607,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/spring.png',0,0,39,21,1,0)
	anim:SetHotSpot(19,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spring',anim,594,700,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/underwater_mask.png',0,0,117,77,1,0)
	anim:SetHotSpot(58,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('underwater_mask',anim,934,708,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/whistle.png',0,0,35,28,1,0)
	anim:SetHotSpot(17,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('whistle',anim,253,568,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/underwater_mask_layer.png',0,0,67,56,1,0)
	anim:SetHotSpot(33,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('underwater_mask_layer',anim,670,700,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/knife_layer.png',0,0,57,68,1,0)
	anim:SetHotSpot(28,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife_layer',anim,814,683,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/suitcase_close.png',0,0,76,46,1,0)
	anim:SetHotSpot(38,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('suitcase_close',anim,353,528,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/suitcase_open.png',0,0,87,69,1,0)
	anim:SetHotSpot(43,34)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('suitcase_open',anim,347,515,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/padlock.png',0,0,48,65,1,0)
	anim:SetHotSpot(24,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock',anim,518,669,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/padlock_layer.png',0,0,46,40,1,0)
	anim:SetHotSpot(23,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock_layer',anim,509,649,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_suitcase',anim,343,523,120,0,9,6)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Zones/Suitcase/suitcase_open_bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('suitcase_open_bg',anim,512,384,502,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Zones/Suitcase/zone_suitcase_sand.PNG',0,0,231,83,1,0)
	anim:SetHotSpot(115,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zone_suitcase_sand',anim,442,396,550,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Zones/Suitcase/zone_suitcase_coin.PNG',0,0,46,36,1,0)
	anim:SetHotSpot(23,18)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('coin',anim,437,404,530,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_action_key',anim,350,510,570,0,12,7)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/key.png',0,0,52,36,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,284,582,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Zones/Suitcase/suitcase_closed_bg.png',0,0,640,379,1,0)
	anim:SetHotSpot(320,189)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('suitcase_closed_bg',anim,514,333,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/brush.png',0,0,52,66,1,0)
	anim:SetHotSpot(26,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,318,728,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/footprints.png',0,0,98,71,1,0)
	anim:SetHotSpot(49,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('footprints',anim,261,430,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Photo/key_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_photo',anim,100,162,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Photo/brush_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_photo',anim,103,171,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Zones/Suitcase/Items/safety_pin.png',0,0,34,55,1,0)
	anim:SetHotSpot(17,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('safety_pin',anim,309,366,505,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Zones/Suitcase/Items/star.png',0,0,52,52,1,0)
	anim:SetHotSpot(26,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('star',anim,415,311,505,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/brush_tool.png',0,0,43,63,1,0)
	anim:SetHotSpot(21,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_tool',anim,37,462,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/oxygen_cylinder.png',0,0,87,59,1,0)
	anim:SetHotSpot(43,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('oxygen_cylinder',anim,355,606,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/saving_circle.png',0,0,45,44,1,0)
	anim:SetHotSpot(22,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saving_circle',anim,871,259,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/scooter_layer.png',0,0,165,193,1,0)
	anim:SetHotSpot(82,96)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scooter_layer',anim,728,631,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/pair_of_glasses.png',0,0,63,42,1,0)
	anim:SetHotSpot(31,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_glasses',anim,487,486,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/padlock_3.png',0,0,40,54,1,0)
	anim:SetHotSpot(20,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock_3',anim,742,580,140,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/padlock_5.png',0,0,42,52,1,0)
	anim:SetHotSpot(21,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock_5',anim,814,743,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/padlock_6.png',0,0,49,48,1,0)
	anim:SetHotSpot(24,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock_6',anim,235,638,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/padlock_2_layer.png',0,0,25,26,1,0)
	anim:SetHotSpot(12,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock_2_layer',anim,982,370,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/cristal.png',0,0,24,68,1,0)
	anim:SetHotSpot(12,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cristal',anim,859,372,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/cristal_2.png',0,0,33,85,1,0)
	anim:SetHotSpot(16,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cristal_2',anim,1001,703,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/cristal_3.png',0,0,39,35,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cristal_3',anim,849,730,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/cristal_4.png',0,0,25,33,1,0)
	anim:SetHotSpot(12,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cristal_4',anim,446,673,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/watering_can.png',0,0,67,68,1,0)
	anim:SetHotSpot(33,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can',anim,484,572,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/watering_can_layer.png',0,0,32,67,1,0)
	anim:SetHotSpot(16,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can_layer',anim,453,579,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/slingshot.png',0,0,68,46,1,0)
	anim:SetHotSpot(34,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('slingshot',anim,427,711,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/fish_2.png',0,0,87,34,1,0)
	anim:SetHotSpot(43,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish_2',anim,804,392,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/gun.png',0,0,74,47,1,0)
	anim:SetHotSpot(37,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun',anim,888,746,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/gun_3.png',0,0,44,74,1,0)
	anim:SetHotSpot(22,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun_3',anim,510,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/gun_4.png',0,0,56,36,1,0)
	anim:SetHotSpot(28,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun_4',anim,402,554,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/gun_3_layer.png',0,0,53,38,1,0)
	anim:SetHotSpot(26,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun_3_layer',anim,507,745,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/gun_4_layer.png',0,0,38,46,1,0)
	anim:SetHotSpot(19,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun_4_layer',anim,416,553,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/arrow.png',0,0,120,43,1,0)
	anim:SetHotSpot(60,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow',anim,875,117,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/arrow_2.png',0,0,113,33,1,0)
	anim:SetHotSpot(56,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_2',anim,772,286,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/arrow_3.png',0,0,56,24,1,0)
	anim:SetHotSpot(28,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_3',anim,631,330,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/cap.png',0,0,48,91,1,0)
	anim:SetHotSpot(24,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cap',anim,996,288,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/padlock_2.png',0,0,41,61,1,0)
	anim:SetHotSpot(20,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock_2',anim,972,393,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Items/padlock_4.png',0,0,41,61,1,0)
	anim:SetHotSpot(20,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock_4',anim,769,713,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/4_ferruginous_ship_/Layers/scooter.png',0,0,219,154,1,0)
	anim:SetHotSpot(109,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scooter',anim,691,607,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
